Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.metal
Class MetalFileChooserUI.FilterComboBoxModel

    java.lang.Object
      |
      +--javax.swing.AbstractListModel
            |
            +--javax.swing.plaf.metal.MetalFileChooserUI.FilterComboBoxModel

protected class MetalFileChooserUI.FilterComboBoxModel
extends AbstractListModel
implements ComboBoxModel, java.beans.PropertyChangeListener

Data model for a type-face selection combo-box.

See Also:
  Serialized Form

Field Summary
`protected FileFilter[]` | `filters`

Fields inherited from class javax.swing.AbstractListModel
`listenerList`

Constructor Summary
`protected` | `MetalFileChooserUI.FilterComboBoxModel()`

Method Summary
`java.lang.Object` | `getElementAt(int index)`
`java.lang.Object` | `getSelectedItem()`
`int` | `getSize()`
`void` | `propertyChange(java.beans.PropertyChangeEvent e)`
`void` | `setSelectedItem(java.lang.Object filter)`

Methods inherited from class javax.swing.AbstractListModel
`addListDataListener, fireContentsChanged, fireIntervalAdded, fireIntervalRemoved, removeListDataListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### filters

    protected FileFilter[] filters

Constructor Detail

### MetalFileChooserUI.FilterComboBoxModel

    protected MetalFileChooserUI.FilterComboBoxModel()

Method Detail

### propertyChange

    public void propertyChange(java.beans.PropertyChangeEvent e)

  Specified by:
    propertyChange in interface java.beans.PropertyChangeListener

### setSelectedItem

    public void setSelectedItem(java.lang.Object filter)

  Specified by:
    setSelectedItem in interface ComboBoxModel

### getSelectedItem

    public java.lang.Object getSelectedItem()

  Specified by:
    getSelectedItem in interface ComboBoxModel

### getSize

    public int getSize()

### getElementAt

    public java.lang.Object getElementAt(int index)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.